import initReplicationStateTable from './init-replication-state-table';

const setReplicationIterator = async (pool, iterator) => {
  const {
    executeQuery,
    escapeId,
    escape
  } = pool;
  const replicationStateTableName = await initReplicationStateTable(pool);
  await executeQuery(`UPDATE ${escapeId(replicationStateTableName)} 
    SET
      "Iterator" = ${escape(iterator != null ? JSON.stringify(iterator) : 'null')}`);
};

export default setReplicationIterator;
//# sourceMappingURL=set-replication-iterator.js.map